Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision b7b7529e093f7e052cf8a0bfdc71df38ce36f36d)
+++ src/Actions/GlobalListOfActions.hpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
@@ -76,5 +76,5 @@
   (WorldSetWorldTime) \
   (WorldSetBoundaryConditions) \
-  (WorldOutput) \
+  (WorldOutputAs) \
   (WorldSetDefaultName) \
   (WorldScaleBox) \
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision b7b7529e093f7e052cf8a0bfdc71df38ce36f36d)
+++ src/Actions/Makefile.am	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
@@ -423,5 +423,5 @@
   Actions/WorldAction/ChangeBoxAction.cpp \
   Actions/WorldAction/InputAction.cpp \
-  Actions/WorldAction/OutputAction.cpp \
+  Actions/WorldAction/OutputAsAction.cpp \
   Actions/WorldAction/RepeatBoxAction.cpp \
   Actions/WorldAction/ScaleBoxAction.cpp \
@@ -436,5 +436,5 @@
   Actions/WorldAction/ChangeBoxAction.hpp \
   Actions/WorldAction/InputAction.hpp \
-  Actions/WorldAction/OutputAction.hpp \
+  Actions/WorldAction/OutputAsAction.hpp \
   Actions/WorldAction/RepeatBoxAction.hpp \
   Actions/WorldAction/ScaleBoxAction.hpp \
@@ -449,5 +449,5 @@
   Actions/WorldAction/ChangeBoxAction.def \
   Actions/WorldAction/InputAction.def \
-  Actions/WorldAction/OutputAction.def \
+  Actions/WorldAction/OutputAsAction.def \
   Actions/WorldAction/RepeatBoxAction.def \
   Actions/WorldAction/ScaleBoxAction.def \
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision b7b7529e093f7e052cf8a0bfdc71df38ce36f36d)
+++ 	(revision )
@@ -1,95 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * OutputAction.cpp
- *
- *  Created on: May 8, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Parser/FormatParserStorage.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "World.hpp"
-
-#include <iostream>
-#include <string>
-
-#include <boost/filesystem/fstream.hpp>
-
-#include "Actions/WorldAction/OutputAction.hpp"
-
-using namespace MoleCuilder;
-
-// and construct the stuff
-#include "OutputAction.def"
-#include "Action_impl_pre.hpp"
-/** =========== define the function ====================== */
-Action::state_ptr WorldOutputAction::performCall() {
-  LOG(1, "Storing world to file " << params.filename.get() << ".");
-
-  // extract suffix
-  std::string FilenameSuffix;
-  std::string FilenamePrefix;
-  if (params.filename.get().has_filename()) {
-    // get suffix
-#if BOOST_VERSION >= 104600
-    FilenameSuffix = params.filename.get().extension().string().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.get().stem().string();
-#else
-    FilenameSuffix = params.filename.get().extension().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.get().stem();
-#endif
-  } else {
-    ELOG(1, "Output file does not have a suffix, cannot recognize format.");
-    return Action::failure;
-  }
-
-  // store file
-  // parse the file
-  boost::filesystem::ofstream output;
-  output.open(params.filename.get());
-  if (!output.fail()) {
-    FormatParserStorage::getInstance().saveWorld(output, FilenameSuffix);
-  } else {
-    ELOG(1, "Could not open file " << params.filename.get() << ".");
-  }
-  output.close();
-
-  return Action::success;
-}
-
-Action::state_ptr WorldOutputAction::performUndo(Action::state_ptr _state) {
-//  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
-
-  return Action::failure;
-//  string newName = state->mol->getName();
-//  state->mol->setName(state->lastName);
-//
-//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
-}
-
-Action::state_ptr WorldOutputAction::performRedo(Action::state_ptr _state){
-  return Action::failure;
-}
-
-bool WorldOutputAction::canUndo() {
-  return false;
-}
-
-bool WorldOutputAction::shouldUndo() {
-  return false;
-}
-/** =========== end of function ====================== */
Index: src/Actions/WorldAction/OutputAction.def
===================================================================
--- src/Actions/WorldAction/OutputAction.def	(revision b7b7529e093f7e052cf8a0bfdc71df38ce36f36d)
+++ 	(revision )
@@ -1,39 +1,0 @@
-/*
- * OutputAction.def
- *
- *  Created on: Aug 26, 2010
- *      Author: heber
- */
-
-// all includes and forward declarations necessary for non-integral types below
-#
-
-#include "Parameters/Validators/Ops_Validator.hpp"
-#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
-#include "Parameters/Validators/Specific/ParserFileValidator.hpp"
-
-// i.e. there is an integer with variable name Z that can be found in
-// ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
-#define paramtypes (boost::filesystem::path)
-#define paramtokens ("output")
-#define paramdescriptions ("filename to write to")
-#undef paramdefaults
-#define paramreferences (filename)
-#define paramvalids \
-(!FilePresentValidator() && ParserFileValidator())
-
-#undef statetypes
-#undef statereferences
-
-// some defines for all the names, you may use ACTION, STATE and PARAMS
-#define CATEGORY World
-#define MENUNAME "world"
-#define MENUPOSITION 7
-#define ACTIONNAME Output
-#define TOKEN "output"
-
-
-// finally the information stored in the ActionTrait specialization
-#define DESCRIPTION "write all atoms to given file"
-#undef SHORTFORM
Index: src/Actions/WorldAction/OutputAction.hpp
===================================================================
--- src/Actions/WorldAction/OutputAction.hpp	(revision b7b7529e093f7e052cf8a0bfdc71df38ce36f36d)
+++ 	(revision )
@@ -1,22 +1,0 @@
-/*
- * OutputAction.hpp
- *
- *  Created on: May 8, 2010
- *      Author: heber
- */
-
-#ifndef OUTPUTACTION_HPP_
-#define OUTPUTACTION_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include "Actions/Action.hpp"
-
-#include "OutputAction.def"
-#include "Action_impl_header.hpp"
-
-#endif /* OUTPUTACTION_HPP_ */
Index: src/Actions/WorldAction/OutputAsAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAsAction.cpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
+++ src/Actions/WorldAction/OutputAsAction.cpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
@@ -0,0 +1,95 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * OutputAsAction.cpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Parser/FormatParserStorage.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "World.hpp"
+
+#include <iostream>
+#include <string>
+
+#include <boost/filesystem/fstream.hpp>
+
+#include "Actions/WorldAction/OutputAsAction.hpp"
+
+using namespace MoleCuilder;
+
+// and construct the stuff
+#include "OutputAsAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr WorldOutputAsAction::performCall() {
+  LOG(1, "Storing world to file " << params.filename.get() << ".");
+
+  // extract suffix
+  std::string FilenameSuffix;
+  std::string FilenamePrefix;
+  if (params.filename.get().has_filename()) {
+    // get suffix
+#if BOOST_VERSION >= 104600
+    FilenameSuffix = params.filename.get().extension().string().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem().string();
+#else
+    FilenameSuffix = params.filename.get().extension().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.get().stem();
+#endif
+  } else {
+    ELOG(1, "Output file does not have a suffix, cannot recognize format.");
+    return Action::failure;
+  }
+
+  // store file
+  // parse the file
+  boost::filesystem::ofstream output;
+  output.open(params.filename.get());
+  if (!output.fail()) {
+    FormatParserStorage::getInstance().saveWorld(output, FilenameSuffix);
+  } else {
+    ELOG(1, "Could not open file " << params.filename.get() << ".");
+  }
+  output.close();
+
+  return Action::success;
+}
+
+Action::state_ptr WorldOutputAsAction::performUndo(Action::state_ptr _state) {
+//  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
+
+  return Action::failure;
+//  string newName = state->mol->getName();
+//  state->mol->setName(state->lastName);
+//
+//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
+}
+
+Action::state_ptr WorldOutputAsAction::performRedo(Action::state_ptr _state){
+  return Action::failure;
+}
+
+bool WorldOutputAsAction::canUndo() {
+  return false;
+}
+
+bool WorldOutputAsAction::shouldUndo() {
+  return false;
+}
+/** =========== end of function ====================== */
Index: src/Actions/WorldAction/OutputAsAction.def
===================================================================
--- src/Actions/WorldAction/OutputAsAction.def	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
+++ src/Actions/WorldAction/OutputAsAction.def	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
@@ -0,0 +1,39 @@
+/*
+ * OutputAsAction.def
+ *
+ *  Created on: Aug 26, 2010
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+#
+
+#include "Parameters/Validators/Ops_Validator.hpp"
+#include "Parameters/Validators/Specific/FilePresentValidator.hpp"
+#include "Parameters/Validators/Specific/ParserFileValidator.hpp"
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
+#define paramtokens ("output-as")
+#define paramdescriptions ("filename to write to")
+#undef paramdefaults
+#define paramreferences (filename)
+#define paramvalids \
+(!FilePresentValidator() && ParserFileValidator())
+
+#undef statetypes
+#undef statereferences
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY World
+#define MENUNAME "world"
+#define MENUPOSITION 7
+#define ACTIONNAME OutputAs
+#define TOKEN "output-as"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "write all atoms to given file"
+#undef SHORTFORM
Index: src/Actions/WorldAction/OutputAsAction.hpp
===================================================================
--- src/Actions/WorldAction/OutputAsAction.hpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
+++ src/Actions/WorldAction/OutputAsAction.hpp	(revision 072f0e15a96284ee34557de1f64c61821fd49aeb)
@@ -0,0 +1,22 @@
+/*
+ * OutputAsAction.hpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+#ifndef OUTPUTASACTION_HPP_
+#define OUTPUTASACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "OutputAsAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* OUTPUTASACTION_HPP_ */
